Subject: Re: java on cygwin - it sort of works
From: "Robert Collins" <[email-masked]>
To: "Jeff Sturm" <[email-masked]>, "Billinghurst, David \(CRTS\)" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Tue, 24 Apr 2001 07:46:17 +1000

----- Original Message -----
From: "Jeff Sturm" <[email-masked]>
To: "Billinghurst, David (CRTS)" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>
Sent: Tuesday, April 24, 2001 3:33 AM
Subject: Re: java on cygwin - it sort of works

>
>
> On Sun, 22 Apr 2001, Billinghurst, David (CRTS) wrote:
> > I have java working, after a fashion, on cygwin using cvs gcc 3.1
(trunk).
> > My part in the work was to ask a few stupid questions.  There are
still a
> > couple of configuration issues to solve.
>
> Great!  Did you test the runtime at all?  What configure options did
you
> need?  Can you use the win32 threads port, or are you relying on
cygwin's
> pthreads layer?

We're using cygwin's updated pthread layer. Java will thus need cygwin
1.3.1 or better.

> > There is still a configuration/libtool problem.  libgcj.la gets some
> > additional cruft in dependency_libs.  At the moment I let the build
fail,
> > then edit libgcj.la like so.
>
> hmm... I didn't see anything in there that's obviously wrong.  What
was
> the failure, exactly?

mingw was inlcuded as a library IIRC.

Rob

> Jeff
>
>
>
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
>
>

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple